App::Pinto::Command::reset(3pm)

NAME
App::Pinto::Command::reset - reset stack to a prior revision

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT reset [OPTIONS] REVISION

DESCRIPTION
!! THIS COMMAND IS EXPERIMENTAL !!

This command moves the head of the stack to a prior revision, thereby discarding subsequent revisions. See the revert command to restore the stack to a prior revision by creating a new revision.

COMMAND ARGUMENTS
The arguments are the name of the stack and the id of the revision to reset to. If the stack is not specified, then it defaults to whichever stack is currently marked as the default. The stack can also be specified using the "--stack" option. Some examples:

  pinto ... reset af01256e          # Reset default stack to revision af01256e
  pinto ... reset mystack af01256e  # Reset mystack to revision af0125e

COMMAND OPTIONS

--force
    Force reset even if the revision is not actually an ancestor. Normally, you can only reset to a revision that the stack has actually been at.

--stack=NAME
-s NAME
    Peform reset on the stack with the given NAME. Defaults to the name of whichever stack is currently marked as the default stack. Use the stacks command to see the stacks in the repository. This option is silently ignored if the stack is specified as a command argument instead.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.